QGIS Application - Bug report #4979
Deb Package seems to be broken
2012-02-10 10:57 AM - Jeff Watkins

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 14765
Description

In trying to re-install QGIS from apt-get | see the following error message:

Reading package lists... Done

Building dependency tree

Reading state information... Done

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

qgis : Depends: ggis-providers (= 1.9.90+git20120208+2cea349~oneiric1) but it is not going to be installed
Depends: qgis-common (= 1.9.90+git20120208+2cea349~oneiric1) but it is not going to be installed
Recommends: qgis-plugin-grass but it is not going to be installed
Recommends: python-qgis but it is not going to be installed

E: Unable to correct problems, you have held broken packages.

| tried installing these dependencies independently and get similar message when trying to "build up" from each package.

History

#1 - 2012-02-10 01:09 PM - Jiirgen Fischer
- Resolution set to wontfix

- Status changed from Open to Closed

Build ran out of diskspace. Next build will probably fix this. Please reopen only if the problem persists for several days.

#2 - 2013-07-09 09:23 AM - Jigdo Stunk

Hello,

The problem is back. Trying to install the latest ggis nightly on debian wheezy throws out broken dependencies:
Reading package lists... Done

Building dependency tree

Reading state information... Done

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

qgis : Depends: qgis-providers (= 1.9.0+git20130702+bc002f7~wheezy1) but it is not going to be installed
Depends: ggis-common (= 1.9.0+git20130702+bc002f7~wheezy1) but it is not going to be installed
Recommends: qgis-plugin-grass but it is not going to be installed
Recommends: python-qgis but it is not going to be installed
Recommends: qgis-plugin-globe but it is not going to be installed

E: Unable to correct problems, you have held broken packages.

Unfortunately, the qgis repos have a version with a different date stamp. Perhaps in the future the dependencies could be made less fragile?
